Index: ncurses/files/patch-configure
===================================================================
--- ncurses/files/patch-configure	(révision 41806)
+++ ncurses/files/patch-configure	(copie de travail)
@@ -1,11 +0,0 @@
---- configure.org	2006-12-17 19:33:38.000000000 +0300
-+++ configure	2007-02-14 07:44:48.000000000 +0300
-@@ -4922,7 +4922,7 @@
- 	darwin*)
- 		EXTRA_CFLAGS="-no-cpp-precomp"
- 		CC_SHARED_OPTS="-dynamic"
--		MK_SHARED_LIB='${CC} ${CFLAGS} -dynamiclib -install_name ${DESTDIR}${libdir}/`basename $@` -compatibility_version ${ABI_VERSION} -current_version ${ABI_VERSION} -o $@'
-+		MK_SHARED_LIB='${CC} ${CFLAGS} -dynamiclib -install_name ${libdir}/`basename $@` -compatibility_version ${ABI_VERSION} -current_version ${ABI_VERSION} -o $@'
- 		test "$cf_cv_shlib_version" = auto && cf_cv_shlib_version=abi
- 		cf_cv_shlib_version_infix=yes
- 		echo "$as_me:4928: checking if ld -search_paths_first works" >&5
Index: ncurses/Portfile
===================================================================
--- ncurses/Portfile	(révision 41806)
+++ ncurses/Portfile	(copie de travail)
@@ -3,7 +3,7 @@
 PortSystem 1.0
 
 name            ncurses
-version         5.6
+version         5.7
 categories      devel
 platforms       darwin freebsd
 maintainers     imajes@macports.org
@@ -17,11 +17,10 @@
 
 homepage        http://www.gnu.org/software/ncurses/ncurses.html
 master_sites    gnu
-checksums       md5 b6593abe1089d6aab1551c105c9300e3 \
-                sha1 4d54d8ad0b90fffa2780a0a45edb6fcb027ef18d \
-                rmd160 1a878819c43e6426500fd74ccedf0a032ef399d8
 
-patchfiles      patch-configure
+checksums		md5		cce05daf61a64501ef6cd8da1f727ec6 \
+				sha1	8233ee56ed84ae05421e4e6d6db6c1fe72ee6797 \
+				rmd160	a19ca026d32255f5a4d22eb006d65182041e0234
 
 # required for terminfo
 depends_run     port:ncursesw
@@ -47,7 +46,4 @@
     destroot.env-append     LD_LIBRARY_PATH=${prefix}/lib
 }
 
-livecheck.check regex
-livecheck.url   http://ftp.gnu.org/gnu/${name}/?C=M&O=D
-livecheck.regex ${name}-(\\d+\\.\\d+)
-
+use_parallel_build	yes
Index: ncursesw/files/patch-configure
===================================================================
--- ncursesw/files/patch-configure	(révision 41806)
+++ ncursesw/files/patch-configure	(copie de travail)
@@ -1,11 +0,0 @@
---- configure.org	2006-12-17 19:33:38.000000000 +0300
-+++ configure	2007-02-14 07:44:48.000000000 +0300
-@@ -4922,7 +4922,7 @@
- 	darwin*)
- 		EXTRA_CFLAGS="-no-cpp-precomp"
- 		CC_SHARED_OPTS="-dynamic"
--		MK_SHARED_LIB='${CC} ${CFLAGS} -dynamiclib -install_name ${DESTDIR}${libdir}/`basename $@` -compatibility_version ${ABI_VERSION} -current_version ${ABI_VERSION} -o $@'
-+		MK_SHARED_LIB='${CC} ${CFLAGS} -dynamiclib -install_name ${libdir}/`basename $@` -compatibility_version ${ABI_VERSION} -current_version ${ABI_VERSION} -o $@'
- 		test "$cf_cv_shlib_version" = auto && cf_cv_shlib_version=abi
- 		cf_cv_shlib_version_infix=yes
- 		echo "$as_me:4928: checking if ld -search_paths_first works" >&5
Index: ncursesw/Portfile
===================================================================
--- ncursesw/Portfile	(révision 41806)
+++ ncursesw/Portfile	(copie de travail)
@@ -1,10 +1,9 @@
 # $Id$
 
-PortSystem 1.0
+PortSystem		1.0
 
 name			ncursesw
-version			5.6
-revision		1
+version			5.7
 categories		devel
 platforms		darwin freebsd
 maintainers		imajes@macports.org
@@ -20,11 +19,10 @@
 master_sites		gnu:ncurses
 distname		ncurses-${version}
 dist_subdir		ncurses
-checksums       md5 b6593abe1089d6aab1551c105c9300e3 \
-                sha1 4d54d8ad0b90fffa2780a0a45edb6fcb027ef18d \
-                rmd160 1a878819c43e6426500fd74ccedf0a032ef399d8
 
-patchfiles		patch-configure
+checksums		md5		cce05daf61a64501ef6cd8da1f727ec6 \
+				sha1	8233ee56ed84ae05421e4e6d6db6c1fe72ee6797 \
+				rmd160	a19ca026d32255f5a4d22eb006d65182041e0234
 
 configure.cppflags
 configure.ldflags
@@ -37,7 +35,4 @@
 				--enable-sigwinch \
 				--mandir=${prefix}/share/man
 
-livecheck.check regex
-livecheck.url   http://ftp.gnu.org/gnu/ncurses/?C=M&O=D
-livecheck.regex ncurses-(\\d+\\.\\d+)
-
+use_parallel_build	yes