--- /Users/Shared/Downloads/CMakeCache.txt	2009-03-08 22:03:08.000000000 -0400
+++ work/cmake-2.6.3/CMakeCache.txt	2009-03-10 21:55:11.000000000 -0400
@@ -1,6 +1,6 @@
 # This is the CMakeCache file.
-# For build in directory: /mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3
-# It was generated by CMake: /mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Bootstrap.cmk/cmake
+# For build in directory: /opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3
+# It was generated by CMake: /opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Bootstrap.cmk/cmake
 # You can edit this file to change values found and used by cmake.
 # If you do not want to change any of the values, simply exit the editor.
 # If you do want to change a value, simply edit, save, and exit the editor.
@@ -44,10 +44,10 @@
 CMAKE_COLOR_MAKEFILE:BOOL=ON
 
 //Path to a program.
-CMAKE_CTEST_COMMAND:FILEPATH=CMAKE_CTEST_COMMAND-NOTFOUND
+CMAKE_CTEST_COMMAND:FILEPATH=/opt/local/bin/ctest
 
 //CXX compiler.
-CMAKE_CXX_COMPILER:FILEPATH=/usr/bin/g++-3.3
+CMAKE_CXX_COMPILER:FILEPATH=/usr/bin/g++-4.0
 
 //Flags used by the compiler during all build types.
 CMAKE_CXX_FLAGS:STRING='-O2 '
@@ -67,7 +67,7 @@
 CMAKE_CXX_FLAGS_RELWITHDEBINFO:STRING=-O2 -g
 
 //C compiler.
-CMAKE_C_COMPILER:FILEPATH=/usr/bin/gcc-3.3
+CMAKE_C_COMPILER:FILEPATH=/usr/bin/gcc-4.0
 
 //Flags used by the compiler during all build types.
 CMAKE_C_FLAGS:STRING='-O2 '
@@ -93,7 +93,7 @@
 CMAKE_DOC_DIR:PATH=/share/doc/cmake
 
 //Flags used by the linker.
-CMAKE_EXE_LINKER_FLAGS:STRING=-L/mp/lib
+CMAKE_EXE_LINKER_FLAGS:STRING=-L/opt/local/lib
 
 //Flags used by the linker during debug builds.
 CMAKE_EXE_LINKER_FLAGS_DEBUG:STRING=
@@ -108,10 +108,10 @@
 CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO:STRING=
 
 //Value Computed by CMake
-CMAKE_FORM_BINARY_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Source/CursesDialog/form
+CMAKE_FORM_BINARY_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Source/CursesDialog/form
 
 //Value Computed by CMake
-CMAKE_FORM_SOURCE_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Source/CursesDialog/form
+CMAKE_FORM_SOURCE_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Source/CursesDialog/form
 
 //Path to a program.
 CMAKE_Fortran_COMPILER_FULLPATH:FILEPATH=CMAKE_Fortran_COMPILER_FULLPATH-NOTFOUND
@@ -123,19 +123,19 @@
 CMAKE_INSTALL_NAME_TOOL:FILEPATH=/usr/bin/install_name_tool
 
 //Install path prefix, prepended onto install directories.
-CMAKE_INSTALL_PREFIX:PATH=/mp
+CMAKE_INSTALL_PREFIX:PATH=/opt/local
 
 //Path to a program.
 CMAKE_LINKER:FILEPATH=/usr/bin/ld
 
 //Path to a program.
-CMAKE_MAKE_PROGRAM:FILEPATH=/mp/bin/gmake
+CMAKE_MAKE_PROGRAM:FILEPATH=/opt/local/bin/gmake
 
 //Install location for man pages (relative to prefix).
 CMAKE_MAN_DIR:PATH=/share/man
 
 //Flags used by the linker during the creation of modules.
-CMAKE_MODULE_LINKER_FLAGS:STRING=-L/mp/lib
+CMAKE_MODULE_LINKER_FLAGS:STRING=-L/opt/local/lib
 
 //Flags used by the linker during debug builds.
 CMAKE_MODULE_LINKER_FLAGS_DEBUG:STRING=
@@ -159,10 +159,10 @@
 CMAKE_OBJDUMP:FILEPATH=CMAKE_OBJDUMP-NOTFOUND
 
 //Build architectures for OSX
-CMAKE_OSX_ARCHITECTURES:STRING=ppc
+CMAKE_OSX_ARCHITECTURES:STRING=i386
 
 //isysroot used for universal binary support
-CMAKE_OSX_SYSROOT:PATH=/Developer/SDKs/QuickTime7Headers.pkg
+CMAKE_OSX_SYSROOT:PATH=/Developer/SDKs/MacOSX10.5.sdk
 
 //Path to a program.
 CMAKE_RANLIB:FILEPATH=/usr/bin/ranlib
@@ -174,7 +174,7 @@
 CMAKE_RUN_LONG_TESTS:BOOL=ON
 
 //Flags used by the linker during the creation of dll's.
-CMAKE_SHARED_LINKER_FLAGS:STRING=-L/mp/lib
+CMAKE_SHARED_LINKER_FLAGS:STRING=-L/opt/local/lib
 
 //Flags used by the linker during debug builds.
 CMAKE_SHARED_LINKER_FLAGS_DEBUG:STRING=
@@ -229,31 +229,31 @@
 CMAKE_VERBOSE_MAKEFILE:BOOL=FALSE
 
 //Value Computed by CMake
-CMCompress_BINARY_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Utilities/cmcompress
+CMCompress_BINARY_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Utilities/cmcompress
 
 //Value Computed by CMake
-CMCompress_SOURCE_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Utilities/cmcompress
+CMCompress_SOURCE_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Utilities/cmcompress
 
 //Value Computed by CMake
-CMEXPAT_BINARY_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Utilities/cmexpat
+CMEXPAT_BINARY_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Utilities/cmexpat
 
 //Value Computed by CMake
-CMEXPAT_SOURCE_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Utilities/cmexpat
+CMEXPAT_SOURCE_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Utilities/cmexpat
 
 //Value Computed by CMake
-CMZLIB_BINARY_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Utilities/cmzlib
+CMZLIB_BINARY_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Utilities/cmzlib
 
 //Value Computed by CMake
-CMZLIB_SOURCE_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Utilities/cmzlib
+CMZLIB_SOURCE_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Utilities/cmzlib
 
 //Dependencies for the target
 CMakeLib_LIB_DEPENDS:STATIC=general;cmsys;general;cmexpat;general;cmzlib;general;cmtar;general;cmcompress;general;cmcurl;general;-framework CoreFoundation;
 
 //Value Computed by CMake
-CMake_BINARY_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3
+CMake_BINARY_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3
 
 //Value Computed by CMake
-CMake_SOURCE_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3
+CMake_SOURCE_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3
 
 //Path to program used to compress files for transfer to the dart
 // server
@@ -398,19 +398,19 @@
 JNI_H:FILEPATH=/System/Library/Frameworks/JavaVM.framework/Headers/jni.h
 
 //Value Computed by CMake
-LIBCURL_BINARY_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Utilities/cmcurl
+LIBCURL_BINARY_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Utilities/cmcurl
 
 //Value Computed by CMake
-LIBCURL_SOURCE_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Utilities/cmcurl
+LIBCURL_SOURCE_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Utilities/cmcurl
 
 //Value Computed by CMake
-LIBTAR_BINARY_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Utilities/cmtar
+LIBTAR_BINARY_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Utilities/cmtar
 
 //Value Computed by CMake
-LIBTAR_SOURCE_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Utilities/cmtar
+LIBTAR_SOURCE_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Utilities/cmtar
 
 //Command used to build entire project from the command line.
-MAKECOMMAND:STRING=/mp/bin/gmake -i
+MAKECOMMAND:STRING=/opt/local/bin/gmake -i
 
 //Path to the memory checking command, used for memory error detection.
 MEMORYCHECK_COMMAND:FILEPATH=MEMORYCHECK_COMMAND-NOTFOUND
@@ -435,22 +435,22 @@
 SDCC_EXECUTABLE:FILEPATH=SDCC_EXECUTABLE-NOTFOUND
 
 //Name of the computer/site where compile is being run
-SITE:STRING=niceg4
+SITE:STRING=teletran.local
 
 //Path to a program.
-SVNCOMMAND:FILEPATH=/mp/bin/svn
+SVNCOMMAND:FILEPATH=/opt/local/bin/svn
 
 //Path to a program.
-Subversion_SVNADMIN_EXECUTABLE:FILEPATH=/mp/bin/svnadmin
+Subversion_SVNADMIN_EXECUTABLE:FILEPATH=/opt/local/bin/svnadmin
 
 //subversion command line client
-Subversion_SVN_EXECUTABLE:FILEPATH=/mp/bin/svn
+Subversion_SVN_EXECUTABLE:FILEPATH=/opt/local/bin/svn
 
 //Value Computed by CMake
-XMLRPC_BINARY_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Utilities/cmxmlrpc
+XMLRPC_BINARY_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Utilities/cmxmlrpc
 
 //Value Computed by CMake
-XMLRPC_SOURCE_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Utilities/cmxmlrpc
+XMLRPC_SOURCE_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Utilities/cmxmlrpc
 
 //Dependencies for the target
 cmForm_LIB_DEPENDS:STATIC=general;/usr/lib/libcurses.dylib;
@@ -471,13 +471,13 @@
 cmsysTestDynload_LIB_DEPENDS:STATIC=
 
 //Value Computed by CMake
-cmsys_BINARY_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Source/kwsys
+cmsys_BINARY_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Source/kwsys
 
 //Dependencies for target
 cmsys_LIB_DEPENDS:STATIC=
 
 //Value Computed by CMake
-cmsys_SOURCE_DIR:STATIC=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Source/kwsys
+cmsys_SOURCE_DIR:STATIC=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Source/kwsys
 
 //Dependencies for target
 cmsys_c_LIB_DEPENDS:STATIC=
@@ -510,9 +510,9 @@
 //Advanced flag for variable: CMAKE_BUILD_TOOL
 CMAKE_BUILD_TOOL-ADVANCED:INTERNAL=1
 //What is the target build tool cmake is generating for.
-CMAKE_BUILD_TOOL:INTERNAL=/mp/bin/gmake
+CMAKE_BUILD_TOOL:INTERNAL=/opt/local/bin/gmake
 //This is the directory where this CMakeCahe.txt was created
-CMAKE_CACHEFILE_DIR:INTERNAL=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3
+CMAKE_CACHEFILE_DIR:INTERNAL=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3
 //Major version of cmake used to create the current loaded cache
 CMAKE_CACHE_MAJOR_VERSION:INTERNAL=2
 //Minor version of cmake used to create the current loaded cache
@@ -522,7 +522,7 @@
 //Advanced flag for variable: CMAKE_COLOR_MAKEFILE
 CMAKE_COLOR_MAKEFILE-ADVANCED:INTERNAL=1
 //Path to CMake executable.
-CMAKE_COMMAND:INTERNAL=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/Bootstrap.cmk/cmake
+CMAKE_COMMAND:INTERNAL=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/Bootstrap.cmk/cmake
 //Advanced flag for variable: CMAKE_CTEST_COMMAND
 CMAKE_CTEST_COMMAND-ADVANCED:INTERNAL=1
 //Advanced flag for variable: CMAKE_CXX_COMPILER
@@ -579,7 +579,7 @@
 CMAKE_HAS_ANSI_STRING_STREAM:INTERNAL=TRUE
 //Start directory with the top level CMakeLists.txt file for this
 // project
-CMAKE_HOME_DIRECTORY:INTERNAL=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3
+CMAKE_HOME_DIRECTORY:INTERNAL=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3
 //Advanced flag for variable: CMAKE_INSTALL_DEBUG_LIBRARIES
 CMAKE_INSTALL_DEBUG_LIBRARIES-ADVANCED:INTERNAL=1
 //Advanced flag for variable: CMAKE_INSTALL_NAME_TOOL
@@ -623,7 +623,7 @@
 //Advanced flag for variable: CMAKE_REGENERATE_YACCLEX
 CMAKE_REGENERATE_YACCLEX-ADVANCED:INTERNAL=1
 //Path to CMake installation.
-CMAKE_ROOT:INTERNAL=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3
+CMAKE_ROOT:INTERNAL=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3
 //Advanced flag for variable: CMAKE_RUN_LONG_TESTS
 CMAKE_RUN_LONG_TESTS-ADVANCED:INTERNAL=1
 //Advanced flag for variable: CMAKE_SHARED_LINKER_FLAGS
@@ -659,7 +659,7 @@
 //Advanced flag for variable: CMAKE_VERBOSE_MAKEFILE
 CMAKE_VERBOSE_MAKEFILE-ADVANCED:INTERNAL=1
 //Result of TEST_BIG_ENDIAN
-CMEXPAT_BIGENDIAN:INTERNAL=1
+CMEXPAT_BIGENDIAN:INTERNAL=0
 //Advanced flag for variable: COMPRESSIONCOMMAND
 COMPRESSIONCOMMAND-ADVANCED:INTERNAL=1
 //Advanced flag for variable: COVERAGE_COMMAND
@@ -731,7 +731,7 @@
 //Advanced flag for variable: DELIVER_CONTINUOUS_EMAIL
 DELIVER_CONTINUOUS_EMAIL-ADVANCED:INTERNAL=1
 //Where to put the executables for CMake
-EXECUTABLE_OUTPUT_PATH:INTERNAL=/mp/var/macports/build/_Volumes_data_macports_ports_devel_cmake/work/cmake-2.6.3/bin
+EXECUTABLE_OUTPUT_PATH:INTERNAL=/opt/local/var/macports/build/_Users_Shared_macports_dports_devel_cmake/work/cmake-2.6.3/bin
 //Advanced flag for variable: FORM_LIBRARY
 FORM_LIBRARY-ADVANCED:INTERNAL=1
 //Advanced flag for variable: GUNZIPCOMMAND
@@ -889,7 +889,7 @@
 //Result of TRY_COMPILE
 HAVE_KWSYS_SIZEOF___INT64:INTERNAL=FALSE
 //Have symbol lchown
-HAVE_LCHOWN:INTERNAL=
+HAVE_LCHOWN:INTERNAL=1
 //Have library crypto;
 HAVE_LIBCRYPTO:INTERNAL=1
 //Have include HAVE_LIBGEN_H
@@ -963,7 +963,7 @@
 //Have symbol poll
 HAVE_POLL:INTERNAL=1
 //Test HAVE_POLL_FINE
-HAVE_POLL_FINE:INTERNAL=
+HAVE_POLL_FINE:INTERNAL=1
 //Result of TRY_COMPILE
 HAVE_POLL_FINE_COMPILED:INTERNAL=TRUE
 //Curl test 
@@ -1265,7 +1265,7 @@
 //Result of TRY_RUN
 SIZEOF_LONG:INTERNAL=4
 //Result of TRY_RUN
-SIZEOF_LONG_DOUBLE:INTERNAL=8
+SIZEOF_LONG_DOUBLE:INTERNAL=16
 //Result of TRY_RUN
 SIZEOF_LONG_LONG:INTERNAL=8
 //Result of CHECK_TYPE_SIZE
@@ -1307,12 +1307,12 @@
 //Already complained about update type.
 __CTEST_UPDATE_TYPE_COMPLAINED:INTERNAL=1
 //Arguments for recv
-curl_cv_func_recv_args:INTERNAL=int,void *,size_t,int,int
-//Test int recv(int, void *, size_t, int) (curl_cv_func_recv_test)
+curl_cv_func_recv_args:INTERNAL=int,void *,size_t,int,ssize_t
+//Test ssize_t recv(int, void *, size_t, int) (curl_cv_func_recv_test)
 curl_cv_func_recv_test:INTERNAL=1
 //Arguments for send
-curl_cv_func_send_args:INTERNAL=int,void *,size_t,int,int,const
-//Test int send(int, const void *, size_t, int) (curl_cv_func_send_test)
+curl_cv_func_send_args:INTERNAL=int,void *,size_t,int,ssize_t,const
+//Test ssize_t send(int, const void *, size_t, int) (curl_cv_func_send_test)
 curl_cv_func_send_test:INTERNAL=1
 //Test curl_cv_recv
 curl_cv_recv:INTERNAL=1