diff --git a/dports/python/py-opengl/Portfile b/dports/python/py-opengl/Portfile
index f8249b7..b99df39 100644
--- a/dports/python/py-opengl/Portfile
+++ b/dports/python/py-opengl/Portfile
@@ -3,29 +3,32 @@
 PortSystem 1.0
 PortGroup python24 1.0
 
-name			py-opengl
-version			3.0.0b3
-categories		python graphics
-platforms       darwin
-maintainers		melix.net:alakazam openmaintainer
-description		PyOpenGL is a Python binding to OpenGL
-long_description PyOpenGL is the cross platform Python binding to OpenGL \
-                and related APIs. The binding is created using the \
-                standard ctypes library, and is provided under an extremely \
-                liberal BSD-style Open-Source license.
-
-homepage		http://pyopengl.sourceforge.net/
-master_sites	sourceforge:pyopengl
-distname		PyOpenGL-${version}
-checksums       md5     a9ef90a2256df749b859dc04d221a6dc \
-                sha1    4d436c1905542e7eafbbc915a4f97d1474b15ba0 \
-                rmd160  f56d868253bfee380739997f67920f21f2ac76c5
+name                 py-opengl
+version              3.0.0b6
+categories           python graphics
+platforms            darwin
+maintainers          melix.net:alakazam
+
+description          PyOpenGL is a Python binding to OpenGL
+long_description     PyOpenGL is the cross platform Python binding to OpenGL \
+                     and related APIs. The binding is created using the \
+                     standard ctypes library, and is provided under an \
+                     extremely liberal BSD-style Open-Source license.
+
+homepage             http://pyopengl.sourceforge.net/
+
+master_sites         sourceforge:pyopengl
+distname             PyOpenGL-${version}
+
+checksums            md5     6a70dd315767064ec78b84a92d2420a8 \
+                     sha1    d622df9be810f39cad96a4b72e3267b7e1b20d9b \
+                     rmd160  5eacede1d144c9d937729df3981daf56501beb42
 
 depends_build-append port:py-setuptools
 depends_lib-append   port:py-ctypes port:py-numpy
 
-test.run            yes
+test.run             yes
 
-livecheck.check     sourceforge
-livecheck.name      pyopengl
-livecheck.distname  PyOpenGL
+livecheck.check      sourceforge
+livecheck.name       pyopengl
+livecheck.distname   PyOpenGL
diff --git a/dports/python/py25-opengl/Portfile b/dports/python/py25-opengl/Portfile
index 0e2dfbd..3d74e67 100644
--- a/dports/python/py25-opengl/Portfile
+++ b/dports/python/py25-opengl/Portfile
@@ -4,15 +4,15 @@ PortSystem           1.0
 PortGroup python25   1.0
 
 name                 py25-opengl
-version              3.0.0b5
+version              3.0.0b6
 categories           python graphics
 platforms            darwin
-maintainers          melix.net:alakazam openmaintainer
+maintainers          melix.net:alakazam
 
 description          Python binding to OpenGL
-long_description     PyOpenGL is the cross platform Python binding to \
-                     OpenGL and related APIs. The binding is created using \
-                     the standard ctypes library and is provided under an \
+long_description     PyOpenGL is the cross platform Python binding to OpenGL \
+                     and related APIs. The binding is created using the \
+                     standard ctypes library and is provided under an \
                      extremely liberal BSD-style Open-Source licenses.
 
 homepage             http://pyopengl.sourceforge.net/
@@ -20,13 +20,15 @@ homepage             http://pyopengl.sourceforge.net/
 master_sites         sourceforge:pyopengl
 distname             PyOpenGL-${version}
 
-checksums            md5     4e46b6ce318b82799109a4850dd37c50 \
-                     sha1    d2cc1c416f5035083edd4eb891fc2d2c80e88bdc \
-                     rmd160  8ebd342c1178255256062cbc6c321ba69f36cb4d
+checksums            md5     6a70dd315767064ec78b84a92d2420a8 \
+                     sha1    d622df9be810f39cad96a4b72e3267b7e1b20d9b \
+                     rmd160  5eacede1d144c9d937729df3981daf56501beb42
 
 depends_build-append port:py25-setuptools
 depends_lib-append   port:py25-tkinter port:py25-pil port:py25-numpy
 
+test.run             yes
+
 livecheck.check      sourceforge
 livecheck.name       pyopengl
 livecheck.distname   PyOpenGL