Index: python/py25-zlib/Portfile
===================================================================
--- python/py25-zlib/Portfile	(revision 44249)
+++ python/py25-zlib/Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortGroup python25 1.0
 
 name			py25-zlib
-version			2.5.2
+version			2.5.4
 categories		python
 platforms		darwin
 maintainers		mww
@@ -15,7 +15,7 @@
 master_sites	http://www.python.org/ftp/python/${version}/
 distname		Python-${version}
 dist_subdir		python25
-checksums		sha1 4755d212f50af704c20224a6966e23acc5aea60f
+checksums		sha1 0f2e819d6381f72f26c734e00a6780b3933ea404
 use_bzip2		yes
 
 worksrcdir		${worksrcdir}/Modules
Index: python/py25-readline/Portfile
===================================================================
--- python/py25-readline/Portfile	(revision 44249)
+++ python/py25-readline/Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortGroup python25 1.0
 
 name			py25-readline
-version			2.5.2
+version			2.5.4
 categories		python
 platforms		darwin
 maintainers		mww
@@ -15,7 +15,7 @@
 master_sites	http://www.python.org/ftp/python/${version}/
 distname		Python-${version}
 dist_subdir		python25
-checksums		sha1 4755d212f50af704c20224a6966e23acc5aea60f
+checksums		sha1 0f2e819d6381f72f26c734e00a6780b3933ea404
 use_bzip2		yes
 
 depends_lib-append	port:readline
Index: python/py25-hashlib/Portfile
===================================================================
--- python/py25-hashlib/Portfile	(revision 44249)
+++ python/py25-hashlib/Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortGroup python25 1.0
 
 name			py25-hashlib
-version			2.5.2
+version			2.5.4
 categories		python
 platforms		darwin
 maintainers		mww
@@ -16,7 +16,7 @@
 master_sites	http://www.python.org/ftp/python/${version}/
 distname		Python-${version}
 dist_subdir		python25
-checksums		sha1 4755d212f50af704c20224a6966e23acc5aea60f
+checksums		sha1 0f2e819d6381f72f26c734e00a6780b3933ea404
 use_bzip2		yes
 
 depends_lib-append	port:openssl
Index: python/py25-bz2/Portfile
===================================================================
--- python/py25-bz2/Portfile	(revision 44249)
+++ python/py25-bz2/Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortGroup python25 1.0
 
 name			py25-bz2
-version			2.5.2
+version			2.5.4
 categories		python
 platforms		darwin
 maintainers		mww
@@ -15,7 +15,7 @@
 master_sites	http://www.python.org/ftp/python/${version}/
 distname		Python-${version}
 dist_subdir		python25
-checksums		sha1 4755d212f50af704c20224a6966e23acc5aea60f
+checksums		sha1 0f2e819d6381f72f26c734e00a6780b3933ea404
 use_bzip2		yes
 
 worksrcdir		${worksrcdir}/Modules
Index: python/py25-gdbm/Portfile
===================================================================
--- python/py25-gdbm/Portfile	(revision 44249)
+++ python/py25-gdbm/Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortGroup python25 1.0
 
 name			py25-gdbm
-version			2.5.2
+version			2.5.4
 categories		python databases
 platforms		darwin
 maintainers		mww
@@ -15,7 +15,7 @@
 master_sites	http://www.python.org/ftp/python/${version}/
 distname		Python-${version}
 dist_subdir		python25
-checksums		sha1 4755d212f50af704c20224a6966e23acc5aea60f
+checksums		sha1 0f2e819d6381f72f26c734e00a6780b3933ea404
 use_bzip2		yes
 
 depends_lib-append	port:gdbm
Index: python/py25-sqlite3/Portfile
===================================================================
--- python/py25-sqlite3/Portfile	(revision 44249)
+++ python/py25-sqlite3/Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortGroup python25 1.0
 
 name			py25-sqlite3
-version			2.5.2
+version			2.5.4
 categories		python databases
 platforms		darwin
 maintainers		mww
@@ -15,7 +15,7 @@
 master_sites	http://www.python.org/ftp/python/${version}/
 distname		Python-${version}
 dist_subdir		python25
-checksums		sha1 4755d212f50af704c20224a6966e23acc5aea60f
+checksums		sha1 0f2e819d6381f72f26c734e00a6780b3933ea404
 use_bzip2		yes
 
 worksrcdir		${worksrcdir}/Modules
Index: python/py25-socket-ssl/Portfile
===================================================================
--- python/py25-socket-ssl/Portfile	(revision 44249)
+++ python/py25-socket-ssl/Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortGroup python25 1.0
 
 name			py25-socket-ssl
-version			2.5.2
+version			2.5.4
 categories		python
 platforms		darwin
 maintainers		mww
@@ -15,7 +15,7 @@
 master_sites	http://www.python.org/ftp/python/${version}/
 distname		Python-${version}
 dist_subdir		python25
-checksums		sha1 4755d212f50af704c20224a6966e23acc5aea60f
+checksums		sha1 0f2e819d6381f72f26c734e00a6780b3933ea404
 use_bzip2		yes
 
 depends_lib-append	port:openssl
Index: python/py25-curses/Portfile
===================================================================
--- python/py25-curses/Portfile	(revision 44249)
+++ python/py25-curses/Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortGroup python25 1.0
 
 name			py25-curses
-version			2.5.2
+version			2.5.4
 categories		python
 platforms		darwin
 maintainers		mww
@@ -15,7 +15,7 @@
 master_sites	http://www.python.org/ftp/python/${version}/
 distname		Python-${version}
 dist_subdir		python25
-checksums		sha1 4755d212f50af704c20224a6966e23acc5aea60f
+checksums		sha1 0f2e819d6381f72f26c734e00a6780b3933ea404
 use_bzip2		yes
 
 worksrcdir		${worksrcdir}/Modules
Index: python/py25-tkinter/Portfile
===================================================================
--- python/py25-tkinter/Portfile	(revision 44249)
+++ python/py25-tkinter/Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortGroup python25 1.0
 
 name			py25-tkinter
-version			2.5.2
+version			2.5.4
 categories		python graphics
 platforms		darwin
 maintainers		mww
@@ -15,7 +15,7 @@
 master_sites	http://www.python.org/ftp/python/${version}/
 distname		Python-${version}
 dist_subdir		python25
-checksums		sha1 4755d212f50af704c20224a6966e23acc5aea60f
+checksums		sha1 0f2e819d6381f72f26c734e00a6780b3933ea404
 use_bzip2		yes
 
 depends_lib-append	port:tcl port:tk
Index: python/py25-bsddb/Portfile
===================================================================
--- python/py25-bsddb/Portfile	(revision 44249)
+++ python/py25-bsddb/Portfile	(working copy)
@@ -4,8 +4,7 @@
 PortGroup python25 1.0
 
 name			py25-bsddb
-version			2.5.2
-revision		1
+version			2.5.4
 categories		python databases
 platforms		darwin
 maintainers		mww
@@ -16,7 +15,7 @@
 master_sites	http://www.python.org/ftp/python/${version}/
 distname		Python-${version}
 dist_subdir		python25
-checksums		sha1 4755d212f50af704c20224a6966e23acc5aea60f
+checksums		sha1 0f2e819d6381f72f26c734e00a6780b3933ea404
 use_bzip2		yes
 
 worksrcdir		${worksrcdir}/Modules
Index: lang/python25/Portfile
===================================================================
--- lang/python25/Portfile	(revision 44249)
+++ lang/python25/Portfile	(working copy)
@@ -3,10 +3,8 @@
 PortSystem 1.0
 
 name                    python25
-version                 2.5.2
-revision                7
-set major               2
-set branch              2.5
+version                 2.5.4
+set branch              [join [lrange [split ${version} .] 0 1] .]
 categories              lang
 platforms               darwin
 maintainers             mww
@@ -19,11 +17,11 @@
 master_sites            http://ftp.python.org/ftp/python/${version}/
 
 distname                Python-${version}
-extract.suffix          .tgz
+use_bzip2               yes
 
-checksums               md5     3f7ca8aa86c6bd275426d63b46e07992 \
-                        sha1    7a835c93a904ae4ecb2d23b5183e94d3b92f8305 \
-                        rmd160  a6e2e81910639a362f265af2e3814e7b47e2110a
+checksums               md5     394a5f56a5ce811fb0f023197ec0833e \
+                        sha1    0f2e819d6381f72f26c734e00a6780b3933ea404 \
+                        rmd160  3a76c83464c3b1c38a60351ab054e33ac7195663
 
 # patch-Lib-distutils-dist.py.diff comes from
 # <http://bugs.python.org/issue1180>
@@ -43,16 +41,11 @@
 
 use_parallel_build      no
 
-if {![info exists applications_dir]} {
-    set applications_dir /Applications/MacPorts
-}
-
 post-patch {
         reinplace "s|__PREFIX__|${prefix}|g" ${worksrcpath}/Lib/cgi.py
         reinplace "s|/Applications/MacPython|${applications_dir}/MacPython|g" \
                 Mac/Makefile.in Mac/IDLE/Makefile.in \
-                Mac/IDLE/Makefile.in Mac/Tools/Doc/setup.py \
-                Mac/PythonLauncher/Makefile.in \
+                Mac/Tools/Doc/setup.py Mac/PythonLauncher/Makefile.in \
                 Mac/BuildScript/build-installer.py
         reinplace "s|xargs -0 rm -r|xargs -0 rm -rf|g" \
                 Mac/PythonLauncher/Makefile.in