Index: /Users/rschmidt/macports/dports/cross/arm-elf-gcc/Portfile
===================================================================
--- /Users/rschmidt/macports/dports/cross/arm-elf-gcc/Portfile	(revision 45454)
+++ /Users/rschmidt/macports/dports/cross/arm-elf-gcc/Portfile	(working copy)
@@ -45,7 +45,7 @@
                     port:gettext
 
 # gcc is .bz2, newlib is .gz.
-# let's extract only gcc with DP infrastructure, we'll do newlib manually.
+# let's extract only gcc with MacPorts infrastructure, we'll do newlib manually.
 use_bzip2			yes
 extract.only		gcc-${version}.tar.bz2
 
Index: /Users/rschmidt/macports/dports/cross/arm-elf-gcc3/Portfile
===================================================================
--- /Users/rschmidt/macports/dports/cross/arm-elf-gcc3/Portfile	(revision 45454)
+++ /Users/rschmidt/macports/dports/cross/arm-elf-gcc3/Portfile	(working copy)
@@ -48,7 +48,7 @@
 depends_build		bin:msgfmt:gettext
 
 # gcc is .bz2, newlib is .gz.
-# let's extract only gcc with DP infrastructure, we'll do newlib manually.
+# let's extract only gcc with MacPorts infrastructure, we'll do newlib manually.
 use_bzip2			yes
 extract.only		gcc-${version}.tar.bz2
 
Index: /Users/rschmidt/macports/dports/cross/arm-rtems-gcc/Portfile
===================================================================
--- /Users/rschmidt/macports/dports/cross/arm-rtems-gcc/Portfile	(revision 45454)
+++ /Users/rschmidt/macports/dports/cross/arm-rtems-gcc/Portfile	(working copy)
@@ -61,7 +61,7 @@
 depends_build		bin:msgfmt:gettext
 
 # gcc is .bz2, newlib is .gz.
-# let's extract only gcc with DP infrastructure, we'll do newlib manually.
+# let's extract only gcc with MacPorts infrastructure, we'll do newlib manually.
 use_bzip2			yes
 extract.only		gcc-${version}.tar.bz2
 
Index: /Users/rschmidt/macports/dports/cross/i386-elf-gcc/Portfile
===================================================================
--- /Users/rschmidt/macports/dports/cross/i386-elf-gcc/Portfile	(revision 45454)
+++ /Users/rschmidt/macports/dports/cross/i386-elf-gcc/Portfile	(working copy)
@@ -43,7 +43,7 @@
                     port:gettext
 
 # gcc is .bz2, newlib is .gz.
-# let's extract only gcc with DP infrastructure, we'll do newlib manually.
+# let's extract only gcc with MacPorts infrastructure, we'll do newlib manually.
 use_bzip2			yes
 extract.only		gcc-${version}.tar.bz2
 
Index: /Users/rschmidt/macports/dports/cross/i386-rtems-gcc/Portfile
===================================================================
--- /Users/rschmidt/macports/dports/cross/i386-rtems-gcc/Portfile	(revision 45454)
+++ /Users/rschmidt/macports/dports/cross/i386-rtems-gcc/Portfile	(working copy)
@@ -62,7 +62,7 @@
 depends_build		bin:msgfmt:gettext
 
 # gcc is .bz2, newlib is .gz.
-# let's extract only gcc with DP infrastructure, we'll do newlib manually.
+# let's extract only gcc with MacPorts infrastructure, we'll do newlib manually.
 use_bzip2			yes
 extract.only		gcc-${version}.tar.bz2
 
Index: /Users/rschmidt/macports/dports/cross/m68k-elf-gcc/Portfile
===================================================================
--- /Users/rschmidt/macports/dports/cross/m68k-elf-gcc/Portfile	(revision 45454)
+++ /Users/rschmidt/macports/dports/cross/m68k-elf-gcc/Portfile	(working copy)
@@ -46,7 +46,7 @@
 depends_build		bin:msgfmt:gettext
 
 # gcc is .bz2, newlib is .gz.
-# let's extract only gcc with DP infrastructure, we'll do newlib manually.
+# let's extract only gcc with MacPorts infrastructure, we'll do newlib manually.
 use_bzip2			yes
 extract.only		gcc-${version}.tar.bz2
 
Index: /Users/rschmidt/macports/dports/cross/m68k-rtems-gcc/Portfile
===================================================================
--- /Users/rschmidt/macports/dports/cross/m68k-rtems-gcc/Portfile	(revision 45454)
+++ /Users/rschmidt/macports/dports/cross/m68k-rtems-gcc/Portfile	(working copy)
@@ -62,7 +62,7 @@
 depends_build		bin:msgfmt:gettext
 
 # gcc is .bz2, newlib is .gz.
-# let's extract only gcc with DP infrastructure, we'll do newlib manually.
+# let's extract only gcc with MacPorts infrastructure, we'll do newlib manually.
 use_bzip2			yes
 extract.only		gcc-${version}.tar.bz2
 
Index: /Users/rschmidt/macports/dports/cross/mips-elf-gcc/Portfile
===================================================================
--- /Users/rschmidt/macports/dports/cross/mips-elf-gcc/Portfile	(revision 45454)
+++ /Users/rschmidt/macports/dports/cross/mips-elf-gcc/Portfile	(working copy)
@@ -45,7 +45,7 @@
 depends_build		bin:msgfmt:gettext
 
 # gcc is .bz2, newlib is .gz.
-# let's extract only gcc with DP infrastructure, we'll do newlib manually.
+# let's extract only gcc with MacPorts infrastructure, we'll do newlib manually.
 use_bzip2			yes
 extract.only		gcc-${version}.tar.bz2
 
Index: /Users/rschmidt/macports/dports/cross/mips-rtems-gcc/Portfile
===================================================================
--- /Users/rschmidt/macports/dports/cross/mips-rtems-gcc/Portfile	(revision 45454)
+++ /Users/rschmidt/macports/dports/cross/mips-rtems-gcc/Portfile	(working copy)
@@ -62,7 +62,7 @@
 depends_build		bin:msgfmt:gettext
 
 # gcc is .bz2, newlib is .gz.
-# let's extract only gcc with DP infrastructure, we'll do newlib manually.
+# let's extract only gcc with MacPorts infrastructure, we'll do newlib manually.
 use_bzip2			yes
 extract.only		gcc-${version}.tar.bz2
 
Index: /Users/rschmidt/macports/dports/cross/powerpc-rtems-gcc/Portfile
===================================================================
--- /Users/rschmidt/macports/dports/cross/powerpc-rtems-gcc/Portfile	(revision 45454)
+++ /Users/rschmidt/macports/dports/cross/powerpc-rtems-gcc/Portfile	(working copy)
@@ -61,7 +61,7 @@
 depends_build		bin:msgfmt:gettext
 
 # gcc is .bz2, newlib is .gz.
-# let's extract only gcc with DP infrastructure, we'll do newlib manually.
+# let's extract only gcc with MacPorts infrastructure, we'll do newlib manually.
 use_bzip2			yes
 extract.only		gcc-${version}.tar.bz2
 
Index: /Users/rschmidt/macports/dports/cross/sh-rtems-gcc/Portfile
===================================================================
--- /Users/rschmidt/macports/dports/cross/sh-rtems-gcc/Portfile	(revision 45454)
+++ /Users/rschmidt/macports/dports/cross/sh-rtems-gcc/Portfile	(working copy)
@@ -61,7 +61,7 @@
 depends_build		bin:msgfmt:gettext
 
 # gcc is .bz2, newlib is .gz.
-# let's extract only gcc with DP infrastructure, we'll do newlib manually.
+# let's extract only gcc with MacPorts infrastructure, we'll do newlib manually.
 use_bzip2			yes
 extract.only		gcc-${version}.tar.bz2
 
Index: /Users/rschmidt/macports/dports/cross/sparc-rtems-gcc/Portfile
===================================================================
--- /Users/rschmidt/macports/dports/cross/sparc-rtems-gcc/Portfile	(revision 45454)
+++ /Users/rschmidt/macports/dports/cross/sparc-rtems-gcc/Portfile	(working copy)
@@ -61,7 +61,7 @@
 depends_build		bin:msgfmt:gettext
 
 # gcc is .bz2, newlib is .gz.
-# let's extract only gcc with DP infrastructure, we'll do newlib manually.
+# let's extract only gcc with MacPorts infrastructure, we'll do newlib manually.
 use_bzip2			yes
 extract.only		gcc-${version}.tar.bz2
 